Index Page vequg_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vequg_c ( ConstSpiceDouble  * vin,
                      SpiceInt            ndim,
                      SpiceDouble       * vout )

#### Abstract

       Make one double precision vector of arbitrary dimension equal
       to another.

#### Required_Reading

       None.

#### Keywords

       ASSIGNMENT
       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
        vin       I   ndim-dimensional double precision vector.
        ndim      I   Dimension of vin (and also vout).
        vout      O   ndim-dimensional double precision vector set
                      equal to vin.

#### Detailed_Input

       vin      is a double precision vector of arbitrary dimension.

       ndim     is the number of components of vin.

#### Detailed_Output

       vout     is a double precision vector set equal to vin.

#### Parameters

       None.

#### Exceptions

       1)  If ndim is not physically realistic, greater than zero, a
           BADDIMENSION error is flagged.

#### Files

       None.

#### Particulars

       The code simply sets each component of vout equal to the
       corresponding component of vin.

#### Examples

       Let state be a state vector. Set abstat equal to state.

       vequg_c  ( state, 6, abstate );

       Note that this routine may be used in place of MOVED, which
       sets each output array element equal to the corresponding
       input array element.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       W.M. Owen       (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.0, 23-AUG-1999   (EDW) (NJB)

#### Index_Entries

       assign an n-dimensional vector to another

#### Link to routine vequg_c source file vequg_c.c

    Wed Apr  5 17:54:46 2017